Bug 968113 - Pluto (keying daemon) aborts during IKEv2 negotiation
Pluto (keying daemon) aborts during IKEv2 negotiation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreswan (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 22:53 EDT by Richard Guy Briggs
Modified: 2015-01-07 15:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-07 15:29:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Guy Briggs 2013-05-28 22:53:18 EDT
Description of problem:
IKEv2, IPv6, transport mode, PSK:
During IKEv2 negotiation, while processing an I2 packet, the responder hits:
    ASSERTION FAILED at /builddir/build/BUILD/openswan-2.6.38/programs/pluto/state.c:294: *p == st
    ABORT at /builddir/build/BUILD/openswan-2.6.38/programs/pluto/state.c:294


Version-Release number of selected component (if applicable):
openswan-2.6.38-6.fc18


How reproducible:
Very


Steps to Reproduce:
1. Set up an IKEv2, IPv6, PSK, transport mode conn on two openswan-2.6.38-6.fc18 machines
2. Add the conns on both machines
3. Up the connection

Actual results:
The responder pluto aborts and gets restarted, subsequently sending bad message notifications.


Expected results:
The negotiation completes and sets up a transport mode IPsec connection between the two hosts.


Additional info:
Comment 1 Fedora End Of Life 2013-12-21 08:46:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Paul Wouters 2014-01-17 15:04:48 EST
I will investigate if this bug is reproducable and still there for libreswan, which replaced openswan in fedora.
Comment 3 Paul Wouters 2014-10-23 21:36:21 EDT
Please let me know if this is still a problem with libreswan, which obsoleted openswan.
Comment 4 Richard Guy Briggs 2015-01-07 15:29:56 EST
This bug does not exist in Libreswan (tested  by Paul Wouters, 2015-01-07 freenode:#swan)

Note You need to log in before you can comment on or make changes to this bug.